Index: trunk/SophyaLib/NTools/fftpackc.c
===================================================================
--- trunk/SophyaLib/NTools/fftpackc.c	(revision 753)
+++ trunk/SophyaLib/NTools/fftpackc.c	(revision 756)
@@ -11,9 +11,9 @@
 
 /*  ------ File cfftb.f ------ */
-/* Subroutine */ int cfftb_(integer *n, r_4 *c__, r_4 *wsave)
-{
-    extern /* Subroutine */ int cfftb1_(integer *, r_4 *, r_4 *, r_4 *, 
+/* Subroutine */ int cfftb_(int_4 *n, r_4 *c__, r_4 *wsave)
+{
+    extern /* Subroutine */ int cfftb1_(int_4 *, r_4 *, r_4 *, r_4 *, 
 	    int_4 *);
-    static integer iw1, iw2;
+    static int_4 iw1, iw2;
 
     /* Parameter adjustments */
@@ -32,22 +32,22 @@
 
 /*  ------ File cfftb1.f ------ */
-/* Subroutine */ int cfftb1_(integer *n, r_4 *c__, r_4 *ch, r_4 *wa, 
+/* Subroutine */ int cfftb1_(int_4 *n, r_4 *c__, r_4 *ch, r_4 *wa, 
 	int_4 *ifac)
 {
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
-    static integer idot, i__;
-    extern /* Subroutine */ int passb_(integer *, integer *, integer *, 
-	    integer *, integer *, r_4 *, r_4 *, r_4 *, r_4 *, r_4 *, 
+    static int_4 idot, i__;
+    extern /* Subroutine */ int passb_(int_4 *, int_4 *, int_4 *, 
+	    int_4 *, int_4 *, r_4 *, r_4 *, r_4 *, r_4 *, r_4 *, 
 	    r_4 *);
-    static integer k1, l1, l2, n2;
-    extern /* Subroutine */ int passb2_(integer *, integer *, r_4 *, r_4 *, 
-	    r_4 *), passb3_(integer *, integer *, r_4 *, r_4 *, r_4 *, 
-	    r_4 *), passb4_(integer *, integer *, r_4 *, r_4 *, r_4 *, 
-	    r_4 *, r_4 *), passb5_(integer *, integer *, r_4 *, r_4 *, 
+    static int_4 k1, l1, l2, n2;
+    extern /* Subroutine */ int passb2_(int_4 *, int_4 *, r_4 *, r_4 *, 
+	    r_4 *), passb3_(int_4 *, int_4 *, r_4 *, r_4 *, r_4 *, 
+	    r_4 *), passb4_(int_4 *, int_4 *, r_4 *, r_4 *, r_4 *, 
+	    r_4 *, r_4 *), passb5_(int_4 *, int_4 *, r_4 *, r_4 *, 
 	    r_4 *, r_4 *, r_4 *, r_4 *);
-    static integer na, nf, ip, iw, ix2, ix3, ix4, nac, ido, idl1;
+    static int_4 na, nf, ip, iw, ix2, ix3, ix4, nac, ido, idl1;
 
     /* Parameter adjustments */
@@ -164,9 +164,9 @@
 
 /*  ------ File cfftf.f ------ */
-/* Subroutine */ int cfftf_(integer *n, r_4 *c__, r_4 *wsave)
-{
-    extern /* Subroutine */ int cfftf1_(integer *, r_4 *, r_4 *, r_4 *, 
+/* Subroutine */ int cfftf_(int_4 *n, r_4 *c__, r_4 *wsave)
+{
+    extern /* Subroutine */ int cfftf1_(int_4 *, r_4 *, r_4 *, r_4 *, 
 	    int_4 *);
-    static integer iw1, iw2;
+    static int_4 iw1, iw2;
 
     /* Parameter adjustments */
@@ -185,22 +185,22 @@
 
 /*  ------ File cfftf1.f ------ */
-/* Subroutine */ int cfftf1_(integer *n, r_4 *c__, r_4 *ch, r_4 *wa, 
+/* Subroutine */ int cfftf1_(int_4 *n, r_4 *c__, r_4 *ch, r_4 *wa, 
 	int_4 *ifac)
 {
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
-    static integer idot, i__;
-    extern /* Subroutine */ int passf_(integer *, integer *, integer *, 
-	    integer *, integer *, r_4 *, r_4 *, r_4 *, r_4 *, r_4 *, 
+    static int_4 idot, i__;
+    extern /* Subroutine */ int passf_(int_4 *, int_4 *, int_4 *, 
+	    int_4 *, int_4 *, r_4 *, r_4 *, r_4 *, r_4 *, r_4 *, 
 	    r_4 *);
-    static integer k1, l1, l2, n2;
-    extern /* Subroutine */ int passf2_(integer *, integer *, r_4 *, r_4 *, 
-	    r_4 *), passf3_(integer *, integer *, r_4 *, r_4 *, r_4 *, 
-	    r_4 *), passf4_(integer *, integer *, r_4 *, r_4 *, r_4 *, 
-	    r_4 *, r_4 *), passf5_(integer *, integer *, r_4 *, r_4 *, 
+    static int_4 k1, l1, l2, n2;
+    extern /* Subroutine */ int passf2_(int_4 *, int_4 *, r_4 *, r_4 *, 
+	    r_4 *), passf3_(int_4 *, int_4 *, r_4 *, r_4 *, r_4 *, 
+	    r_4 *), passf4_(int_4 *, int_4 *, r_4 *, r_4 *, r_4 *, 
+	    r_4 *, r_4 *), passf5_(int_4 *, int_4 *, r_4 *, r_4 *, 
 	    r_4 *, r_4 *, r_4 *, r_4 *);
-    static integer na, nf, ip, iw, ix2, ix3, ix4, nac, ido, idl1;
+    static int_4 na, nf, ip, iw, ix2, ix3, ix4, nac, ido, idl1;
 
     /* Parameter adjustments */
@@ -317,8 +317,8 @@
 
 /*  ------ File cffti.f ------ */
-/* Subroutine */ int cffti_(integer *n, r_4 *wsave)
-{
-    extern /* Subroutine */ int cffti1_(integer *, r_4 *, int_4 *);
-    static integer iw1, iw2;
+/* Subroutine */ int cffti_(int_4 *n, r_4 *wsave)
+{
+    extern /* Subroutine */ int cffti1_(int_4 *, r_4 *, int_4 *);
+    static int_4 iw1, iw2;
 
     /* Parameter adjustments */
@@ -336,12 +336,12 @@
 
 /*  ------ File cffti1.f ------ */
-/* Subroutine */ int cffti1_(integer *n, r_4 *wa, int_4 *ifac)
+/* Subroutine */ int cffti1_(int_4 *n, r_4 *wa, int_4 *ifac)
 {
     /* Initialized data */
 
-    static integer ntryh[4] = { 3,4,2,5 };
+    static int_4 ntryh[4] = { 3,4,2,5 };
 
     /* System generated locals */
-    integer i__1, i__2, i__3;
+    int_4 i__1, i__2, i__3;
 
     /* Builtin functions */ 
@@ -350,11 +350,11 @@
     /* Local variables */
     static r_4 argh;
-    static integer idot, ntry, i__, j;
+    static int_4 idot, ntry, i__, j;
     static r_4 argld;
-    static integer i1, k1, l1, l2, ib;
+    static int_4 i1, k1, l1, l2, ib;
     static r_4 fi;
-    static integer ld, ii, nf, ip, nl, nq, nr;
+    static int_4 ld, ii, nf, ip, nl, nq, nr;
     static r_4 arg;
-    static integer ido, ipm;
+    static int_4 ido, ipm;
     static r_4 tpi;
 
@@ -454,5 +454,5 @@
 
 /*  ------ File cosqb.f ------ */
-/* Subroutine */ int cosqb_(integer *n, r_4 *x, r_4 *wsave)
+/* Subroutine */ int cosqb_(int_4 *n, r_4 *x, r_4 *wsave)
 {
     /* Initialized data */
@@ -461,9 +461,9 @@
 
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
     static r_4 x1;
-    extern /* Subroutine */ int cosqb1_(integer *, r_4 *, r_4 *, r_4 *);
+    extern /* Subroutine */ int cosqb1_(int_4 *, r_4 *, r_4 *, r_4 *);
 
     /* Parameter adjustments */
@@ -493,13 +493,13 @@
 
 /*  ------ File cosqb1.f ------ */
-/* Subroutine */ int cosqb1_(integer *n, r_4 *x, r_4 *w, r_4 *xh)
+/* Subroutine */ int cosqb1_(int_4 *n, r_4 *x, r_4 *w, r_4 *xh)
 {
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
-    static integer modn, i__, k;
-    extern /* Subroutine */ int rfftb_(integer *, r_4 *, r_4 *);
-    static integer kc, np2, ns2;
+    static int_4 modn, i__, k;
+    extern /* Subroutine */ int rfftb_(int_4 *, r_4 *, r_4 *);
+    static int_4 kc, np2, ns2;
     static r_4 xim1;
 
@@ -547,5 +547,5 @@
 
 /*  ------ File cosqf.f ------ */
-/* Subroutine */ int cosqf_(integer *n, r_4 *x, r_4 *wsave)
+/* Subroutine */ int cosqf_(int_4 *n, r_4 *x, r_4 *wsave)
 {
     /* Initialized data */
@@ -554,9 +554,9 @@
 
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
     static r_4 tsqx;
-    extern /* Subroutine */ int cosqf1_(integer *, r_4 *, r_4 *, r_4 *);
+    extern /* Subroutine */ int cosqf1_(int_4 *, r_4 *, r_4 *, r_4 *);
 
     /* Parameter adjustments */
@@ -584,13 +584,13 @@
 
 /*  ------ File cosqf1.f ------ */
-/* Subroutine */ int cosqf1_(integer *n, r_4 *x, r_4 *w, r_4 *xh)
+/* Subroutine */ int cosqf1_(int_4 *n, r_4 *x, r_4 *w, r_4 *xh)
 {
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
-    static integer modn, i__, k;
-    extern /* Subroutine */ int rfftf_(integer *, r_4 *, r_4 *);
-    static integer kc, np2, ns2;
+    static int_4 modn, i__, k;
+    extern /* Subroutine */ int rfftf_(int_4 *, r_4 *, r_4 *);
+    static int_4 kc, np2, ns2;
     static r_4 xim1;
 
@@ -636,5 +636,5 @@
 
 /*  ------ File cosqi.f ------ */
-/* Subroutine */ int cosqi_(integer *n, r_4 *wsave)
+/* Subroutine */ int cosqi_(int_4 *n, r_4 *wsave)
 {
     /* Initialized data */
@@ -643,5 +643,5 @@
 
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Builtin functions */
@@ -649,6 +649,6 @@
 
     /* Local variables */
-    static integer k;
-    extern /* Subroutine */ int rffti_(integer *, r_4 *);
+    static int_4 k;
+    extern /* Subroutine */ int rffti_(int_4 *, r_4 *);
     static r_4 fk, dt;
 
@@ -670,18 +670,18 @@
 
 /*  ------ File cost.f ------ */
-/* Subroutine */ int cost_(integer *n, r_4 *x, r_4 *wsave)
+/* Subroutine */ int cost_(int_4 *n, r_4 *x, r_4 *wsave)
 {
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
-    static integer modn, i__, k;
-    extern /* Subroutine */ int rfftf_(integer *, r_4 *, r_4 *);
+    static int_4 modn, i__, k;
+    extern /* Subroutine */ int rfftf_(int_4 *, r_4 *, r_4 *);
     static r_4 c1, t1, t2;
-    static integer kc;
+    static int_4 kc;
     static r_4 xi;
-    static integer nm1, np1;
+    static int_4 nm1, np1;
     static r_4 x1h;
-    static integer ns2;
+    static int_4 ns2;
     static r_4 tx2, x1p3, xim2;
 
@@ -753,5 +753,5 @@
 
 /*  ------ File costi.f ------ */
-/* Subroutine */ int costi_(integer *n, r_4 *wsave)
+/* Subroutine */ int costi_(int_4 *n, r_4 *wsave)
 {
     /* Initialized data */
@@ -760,5 +760,5 @@
 
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Builtin functions */
@@ -766,9 +766,9 @@
 
     /* Local variables */
-    static integer k;
-    extern /* Subroutine */ int rffti_(integer *, r_4 *);
-    static integer kc;
+    static int_4 k;
+    extern /* Subroutine */ int rffti_(int_4 *, r_4 *);
+    static int_4 kc;
     static r_4 fk, dt;
-    static integer nm1, np1, ns2;
+    static int_4 nm1, np1, ns2;
 
     /* Parameter adjustments */
@@ -797,13 +797,13 @@
 
 /*  ------ File ezfft1.f ------ */
-/* Subroutine */ int ezfft1_(integer *n, r_4 *wa, int_4 *ifac)
+/* Subroutine */ int ezfft1_(int_4 *n, r_4 *wa, int_4 *ifac)
 {
     /* Initialized data */
 
-    static integer ntryh[4] = { 4,2,3,5 };
+    static int_4 ntryh[4] = { 4,2,3,5 };
     static r_4 tpi = 6.28318530717959f;
 
     /* System generated locals */
-    integer i__1, i__2, i__3;
+    int_4 i__1, i__2, i__3;
 
     /* Builtin functions */
@@ -812,9 +812,9 @@
     /* Local variables */
     static r_4 argh;
-    static integer ntry, i__, j, k1, l1, l2, ib, ii, nf, ip, nl, is, nq, nr;
+    static int_4 ntry, i__, j, k1, l1, l2, ib, ii, nf, ip, nl, is, nq, nr;
     static r_4 ch1, sh1;
-    static integer ido, ipm;
+    static int_4 ido, ipm;
     static r_4 dch1, ch1h, arg1, dsh1;
-    static integer nfm1;
+    static int_4 nfm1;
 
     /* Parameter adjustments */
@@ -916,14 +916,14 @@
 
 /*  ------ File ezfftb.f ------ */
-/* Subroutine */ int ezfftb_(integer *n, r_4 *r__, r_4 *azero, r_4 *a, 
+/* Subroutine */ int ezfftb_(int_4 *n, r_4 *r__, r_4 *azero, r_4 *a, 
 	r_4 *b, r_4 *wsave)
 {
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
-    static integer i__;
-    extern /* Subroutine */ int rfftb_(integer *, r_4 *, r_4 *);
-    static integer ns2;
+    static int_4 i__;
+    extern /* Subroutine */ int rfftb_(int_4 *, r_4 *, r_4 *);
+    static int_4 ns2;
 
     /* Parameter adjustments */
@@ -965,17 +965,17 @@
 
 /*  ------ File ezfftf.f ------ */
-/* Subroutine */ int ezfftf_(integer *n, r_4 *r__, r_4 *azero, r_4 *a, 
+/* Subroutine */ int ezfftf_(int_4 *n, r_4 *r__, r_4 *azero, r_4 *a, 
 	r_4 *b, r_4 *wsave)
 {
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
-    static integer i__;
-    extern /* Subroutine */ int rfftf_(integer *, r_4 *, r_4 *);
+    static int_4 i__;
+    extern /* Subroutine */ int rfftf_(int_4 *, r_4 *, r_4 *);
     static r_4 cf;
-    static integer ns2;
+    static int_4 ns2;
     static r_4 cfm;
-    static integer ns2m;
+    static int_4 ns2m;
 
 
@@ -1030,7 +1030,7 @@
 
 /*  ------ File ezffti.f ------ */
-/* Subroutine */ int ezffti_(integer *n, r_4 *wsave)
-{
-    extern /* Subroutine */ int ezfft1_(integer *, r_4 *, int_4 *);
+/* Subroutine */ int ezffti_(int_4 *n, r_4 *wsave)
+{
+    extern /* Subroutine */ int ezfft1_(int_4 *, r_4 *, int_4 *);
 
     /* Parameter adjustments */
@@ -1046,18 +1046,18 @@
 
 /*  ------ File passb.f ------ */
-/* Subroutine */ int passb_(integer *nac, integer *ido, integer *ip, integer *
-	l1, integer *idl1, r_4 *cc, r_4 *c1, r_4 *c2, r_4 *ch, r_4 *ch2, 
+/* Subroutine */ int passb_(int_4 *nac, int_4 *ido, int_4 *ip, int_4 *
+	l1, int_4 *idl1, r_4 *cc, r_4 *c1, r_4 *c2, r_4 *ch, r_4 *ch2, 
 	r_4 *wa)
 {
     /* System generated locals */
-    integer ch_dim1, ch_dim2, ch_offset, cc_dim1, cc_dim2, cc_offset, c1_dim1,
+    int_4 ch_dim1, ch_dim2, ch_offset, cc_dim1, cc_dim2, cc_offset, c1_dim1,
 	     c1_dim2, c1_offset, c2_dim1, c2_offset, ch2_dim1, ch2_offset, 
 	    i__1, i__2, i__3;
 
     /* Local variables */
-    static integer idij, idlj, idot, ipph, i__, j, k, l, jc, lc, ik, nt, idj, 
+    static int_4 idij, idlj, idot, ipph, i__, j, k, l, jc, lc, ik, nt, idj, 
 	    idl, inc, idp;
     static r_4 wai, war;
-    static integer ipp2;
+    static int_4 ipp2;
 
     /* Parameter adjustments */
@@ -1287,12 +1287,12 @@
 
 /*  ------ File passb2.f ------ */
-/* Subroutine */ int passb2_(integer *ido, integer *l1, r_4 *cc, r_4 *ch, 
+/* Subroutine */ int passb2_(int_4 *ido, int_4 *l1, r_4 *cc, r_4 *ch, 
 	r_4 *wa1)
 {
     /* System generated locals */
-    integer cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k;
+    static int_4 i__, k;
     static r_4 ti2, tr2;
 
@@ -1349,5 +1349,5 @@
 
 /*  ------ File passb3.f ------ */
-/* Subroutine */ int passb3_(integer *ido, integer *l1, r_4 *cc, r_4 *ch, 
+/* Subroutine */ int passb3_(int_4 *ido, int_4 *l1, r_4 *cc, r_4 *ch, 
 	r_4 *wa1, r_4 *wa2)
 {
@@ -1358,8 +1358,8 @@
 
     /* System generated locals */
-    integer cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k;
+    static int_4 i__, k;
     static r_4 ci2, ci3, di2, di3, cr2, cr3, dr2, dr3, ti2, tr2;
 
@@ -1437,12 +1437,12 @@
 
 /*  ------ File passb4.f ------ */
-/* Subroutine */ int passb4_(integer *ido, integer *l1, r_4 *cc, r_4 *ch, 
+/* Subroutine */ int passb4_(int_4 *ido, int_4 *l1, r_4 *cc, r_4 *ch, 
 	r_4 *wa1, r_4 *wa2, r_4 *wa3)
 {
     /* System generated locals */
-    integer cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k;
+    static int_4 i__, k;
     static r_4 ci2, ci3, ci4, cr2, cr3, cr4, ti1, ti2, ti3, ti4, tr1, tr2, 
 	    tr3, tr4;
@@ -1542,5 +1542,5 @@
 
 /*  ------ File passb5.f ------ */
-/* Subroutine */ int passb5_(integer *ido, integer *l1, r_4 *cc, r_4 *ch, 
+/* Subroutine */ int passb5_(int_4 *ido, int_4 *l1, r_4 *cc, r_4 *ch, 
 	r_4 *wa1, r_4 *wa2, r_4 *wa3, r_4 *wa4)
 {
@@ -1553,8 +1553,8 @@
 
     /* System generated locals */
-    integer cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k;
+    static int_4 i__, k;
     static r_4 ci2, ci3, ci4, ci5, di3, di4, di5, di2, cr2, cr3, cr5, cr4, 
 	    ti2, ti3, ti4, ti5, dr3, dr4, dr5, dr2, tr2, tr3, tr4, tr5;
@@ -1677,18 +1677,18 @@
 
 /*  ------ File passf.f ------ */
-/* Subroutine */ int passf_(integer *nac, integer *ido, integer *ip, integer *
-	l1, integer *idl1, r_4 *cc, r_4 *c1, r_4 *c2, r_4 *ch, r_4 *ch2, 
+/* Subroutine */ int passf_(int_4 *nac, int_4 *ido, int_4 *ip, int_4 *
+	l1, int_4 *idl1, r_4 *cc, r_4 *c1, r_4 *c2, r_4 *ch, r_4 *ch2, 
 	r_4 *wa)
 {
     /* System generated locals */
-    integer ch_dim1, ch_dim2, ch_offset, cc_dim1, cc_dim2, cc_offset, c1_dim1,
+    int_4 ch_dim1, ch_dim2, ch_offset, cc_dim1, cc_dim2, cc_offset, c1_dim1,
 	     c1_dim2, c1_offset, c2_dim1, c2_offset, ch2_dim1, ch2_offset, 
 	    i__1, i__2, i__3;
 
     /* Local variables */
-    static integer idij, idlj, idot, ipph, i__, j, k, l, jc, lc, ik, nt, idj, 
+    static int_4 idij, idlj, idot, ipph, i__, j, k, l, jc, lc, ik, nt, idj, 
 	    idl, inc, idp;
     static r_4 wai, war;
-    static integer ipp2;
+    static int_4 ipp2;
 
     /* Parameter adjustments */
@@ -1918,12 +1918,12 @@
 
 /*  ------ File passf2.f ------ */
-/* Subroutine */ int passf2_(integer *ido, integer *l1, r_4 *cc, r_4 *ch, 
+/* Subroutine */ int passf2_(int_4 *ido, int_4 *l1, r_4 *cc, r_4 *ch, 
 	r_4 *wa1)
 {
     /* System generated locals */
-    integer cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k;
+    static int_4 i__, k;
     static r_4 ti2, tr2;
 
@@ -1980,5 +1980,5 @@
 
 /*  ------ File passf3.f ------ */
-/* Subroutine */ int passf3_(integer *ido, integer *l1, r_4 *cc, r_4 *ch, 
+/* Subroutine */ int passf3_(int_4 *ido, int_4 *l1, r_4 *cc, r_4 *ch, 
 	r_4 *wa1, r_4 *wa2)
 {
@@ -1989,8 +1989,8 @@
 
     /* System generated locals */
-    integer cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k;
+    static int_4 i__, k;
     static r_4 ci2, ci3, di2, di3, cr2, cr3, dr2, dr3, ti2, tr2;
 
@@ -2068,12 +2068,12 @@
 
 /*  ------ File passf4.f ------ */
-/* Subroutine */ int passf4_(integer *ido, integer *l1, r_4 *cc, r_4 *ch, 
+/* Subroutine */ int passf4_(int_4 *ido, int_4 *l1, r_4 *cc, r_4 *ch, 
 	r_4 *wa1, r_4 *wa2, r_4 *wa3)
 {
     /* System generated locals */
-    integer cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k;
+    static int_4 i__, k;
     static r_4 ci2, ci3, ci4, cr2, cr3, cr4, ti1, ti2, ti3, ti4, tr1, tr2, 
 	    tr3, tr4;
@@ -2173,5 +2173,5 @@
 
 /*  ------ File passf5.f ------ */
-/* Subroutine */ int passf5_(integer *ido, integer *l1, r_4 *cc, r_4 *ch, 
+/* Subroutine */ int passf5_(int_4 *ido, int_4 *l1, r_4 *cc, r_4 *ch, 
 	r_4 *wa1, r_4 *wa2, r_4 *wa3, r_4 *wa4)
 {
@@ -2184,8 +2184,8 @@
 
     /* System generated locals */
-    integer cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k;
+    static int_4 i__, k;
     static r_4 ci2, ci3, ci4, ci5, di3, di4, di5, di2, cr2, cr3, cr5, cr4, 
 	    ti2, ti3, ti4, ti5, dr3, dr4, dr5, dr2, tr2, tr3, tr4, tr5;
@@ -2308,14 +2308,14 @@
 
 /*  ------ File radb2.f ------ */
-/* Subroutine */ int radb2_(integer *ido, integer *l1, r_4 *cc, r_4 *ch, 
+/* Subroutine */ int radb2_(int_4 *ido, int_4 *l1, r_4 *cc, r_4 *ch, 
 	r_4 *wa1)
 {
     /* System generated locals */
-    integer cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k, ic;
+    static int_4 i__, k, ic;
     static r_4 ti2, tr2;
-    static integer idp2;
+    static int_4 idp2;
 
     /* Parameter adjustments */
@@ -2385,5 +2385,5 @@
 
 /*  ------ File radb3.f ------ */
-/* Subroutine */ int radb3_(integer *ido, integer *l1, r_4 *cc, r_4 *ch, 
+/* Subroutine */ int radb3_(int_4 *ido, int_4 *l1, r_4 *cc, r_4 *ch, 
 	r_4 *wa1, r_4 *wa2)
 {
@@ -2394,10 +2394,10 @@
 
     /* System generated locals */
-    integer cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k, ic;
+    static int_4 i__, k, ic;
     static r_4 ci2, ci3, di2, di3, cr2, cr3, dr2, dr3, ti2, tr2;
-    static integer idp2;
+    static int_4 idp2;
 
     /* Parameter adjustments */
@@ -2468,5 +2468,5 @@
 
 /*  ------ File radb4.f ------ */
-/* Subroutine */ int radb4_(integer *ido, integer *l1, r_4 *cc, r_4 *ch, 
+/* Subroutine */ int radb4_(int_4 *ido, int_4 *l1, r_4 *cc, r_4 *ch, 
 	r_4 *wa1, r_4 *wa2, r_4 *wa3)
 {
@@ -2476,11 +2476,11 @@
 
     /* System generated locals */
-    integer cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k, ic;
+    static int_4 i__, k, ic;
     static r_4 ci2, ci3, ci4, cr2, cr3, cr4, ti1, ti2, ti3, ti4, tr1, tr2, 
 	    tr3, tr4;
-    static integer idp2;
+    static int_4 idp2;
 
     /* Parameter adjustments */
@@ -2592,5 +2592,5 @@
 
 /*  ------ File radb5.f ------ */
-/* Subroutine */ int radb5_(integer *ido, integer *l1, r_4 *cc, r_4 *ch, 
+/* Subroutine */ int radb5_(int_4 *ido, int_4 *l1, r_4 *cc, r_4 *ch, 
 	r_4 *wa1, r_4 *wa2, r_4 *wa3, r_4 *wa4)
 {
@@ -2603,11 +2603,11 @@
 
     /* System generated locals */
-    integer cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k, ic;
+    static int_4 i__, k, ic;
     static r_4 ci2, ci3, ci4, ci5, di3, di4, di5, di2, cr2, cr3, cr5, cr4, 
 	    ti2, ti3, ti4, ti5, dr3, dr4, dr5, dr2, tr2, tr3, tr4, tr5;
-    static integer idp2;
+    static int_4 idp2;
 
     /* Parameter adjustments */
@@ -2716,5 +2716,5 @@
 
 /*  ------ File radbg.f ------ */
-/* Subroutine */ int radbg_(integer *ido, integer *ip, integer *l1, integer *
+/* Subroutine */ int radbg_(int_4 *ido, int_4 *ip, int_4 *l1, int_4 *
 	idl1, r_4 *cc, r_4 *c1, r_4 *c2, r_4 *ch, r_4 *ch2, r_4 *wa)
 {
@@ -2724,5 +2724,5 @@
 
     /* System generated locals */
-    integer ch_dim1, ch_dim2, ch_offset, cc_dim1, cc_dim2, cc_offset, c1_dim1,
+    int_4 ch_dim1, ch_dim2, ch_offset, cc_dim1, cc_dim2, cc_offset, c1_dim1,
 	     c1_dim2, c1_offset, c2_dim1, c2_offset, ch2_dim1, ch2_offset, 
 	    i__1, i__2, i__3;
@@ -2732,9 +2732,9 @@
 
     /* Local variables */
-    static integer idij, ipph, i__, j, k, l, j2, ic, jc, lc, ik, is;
+    static int_4 idij, ipph, i__, j, k, l, j2, ic, jc, lc, ik, is;
     static r_4 dc2, ai1, ai2, ar1, ar2, ds2;
-    static integer nbd;
+    static int_4 nbd;
     static r_4 dcp, arg, dsp, ar1h, ar2h;
-    static integer idp2, ipp2;
+    static int_4 idp2, ipp2;
 
     /* Parameter adjustments */
@@ -3057,14 +3057,14 @@
 
 /*  ------ File radf2.f ------ */
-/* Subroutine */ int radf2_(integer *ido, integer *l1, r_4 *cc, r_4 *ch, 
+/* Subroutine */ int radf2_(int_4 *ido, int_4 *l1, r_4 *cc, r_4 *ch, 
 	r_4 *wa1)
 {
     /* System generated locals */
-    integer ch_dim1, ch_offset, cc_dim1, cc_dim2, cc_offset, i__1, i__2;
+    int_4 ch_dim1, ch_offset, cc_dim1, cc_dim2, cc_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k, ic;
+    static int_4 i__, k, ic;
     static r_4 ti2, tr2;
-    static integer idp2;
+    static int_4 idp2;
 
     /* Parameter adjustments */
@@ -3135,5 +3135,5 @@
 
 /*  ------ File radf3.f ------ */
-/* Subroutine */ int radf3_(integer *ido, integer *l1, r_4 *cc, r_4 *ch, 
+/* Subroutine */ int radf3_(int_4 *ido, int_4 *l1, r_4 *cc, r_4 *ch, 
 	r_4 *wa1, r_4 *wa2)
 {
@@ -3144,10 +3144,10 @@
 
     /* System generated locals */
-    integer ch_dim1, ch_offset, cc_dim1, cc_dim2, cc_offset, i__1, i__2;
+    int_4 ch_dim1, ch_offset, cc_dim1, cc_dim2, cc_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k, ic;
+    static int_4 i__, k, ic;
     static r_4 ci2, di2, di3, cr2, dr2, dr3, ti2, ti3, tr2, tr3;
-    static integer idp2;
+    static int_4 idp2;
 
     /* Parameter adjustments */
@@ -3214,5 +3214,5 @@
 
 /*  ------ File radf4.f ------ */
-/* Subroutine */ int radf4_(integer *ido, integer *l1, r_4 *cc, r_4 *ch, 
+/* Subroutine */ int radf4_(int_4 *ido, int_4 *l1, r_4 *cc, r_4 *ch, 
 	r_4 *wa1, r_4 *wa2, r_4 *wa3)
 {
@@ -3222,11 +3222,11 @@
 
     /* System generated locals */
-    integer cc_dim1, cc_dim2, cc_offset, ch_dim1, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_dim2, cc_offset, ch_dim1, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k, ic;
+    static int_4 i__, k, ic;
     static r_4 ci2, ci3, ci4, cr2, cr3, cr4, ti1, ti2, ti3, ti4, tr1, tr2, 
 	    tr3, tr4;
-    static integer idp2;
+    static int_4 idp2;
 
     /* Parameter adjustments */
@@ -3330,5 +3330,5 @@
 
 /*  ------ File radf5.f ------ */
-/* Subroutine */ int radf5_(integer *ido, integer *l1, r_4 *cc, r_4 *ch, 
+/* Subroutine */ int radf5_(int_4 *ido, int_4 *l1, r_4 *cc, r_4 *ch, 
 	r_4 *wa1, r_4 *wa2, r_4 *wa3, r_4 *wa4)
 {
@@ -3341,11 +3341,11 @@
 
     /* System generated locals */
-    integer cc_dim1, cc_dim2, cc_offset, ch_dim1, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_dim2, cc_offset, ch_dim1, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k, ic;
+    static int_4 i__, k, ic;
     static r_4 ci2, di2, ci4, ci5, di3, di4, di5, ci3, cr2, cr3, dr2, dr3, 
 	    dr4, dr5, cr5, cr4, ti2, ti3, ti5, ti4, tr2, tr3, tr4, tr5;
-    static integer idp2;
+    static int_4 idp2;
 
     /* Parameter adjustments */
@@ -3448,5 +3448,5 @@
 
 /*  ------ File radfg.f ------ */
-/* Subroutine */ int radfg_(integer *ido, integer *ip, integer *l1, integer *
+/* Subroutine */ int radfg_(int_4 *ido, int_4 *ip, int_4 *l1, int_4 *
 	idl1, r_4 *cc, r_4 *c1, r_4 *c2, r_4 *ch, r_4 *ch2, r_4 *wa)
 {
@@ -3456,5 +3456,5 @@
 
     /* System generated locals */
-    integer ch_dim1, ch_dim2, ch_offset, cc_dim1, cc_dim2, cc_offset, c1_dim1,
+    int_4 ch_dim1, ch_dim2, ch_offset, cc_dim1, cc_dim2, cc_offset, c1_dim1,
 	     c1_dim2, c1_offset, c2_dim1, c2_offset, ch2_dim1, ch2_offset, 
 	    i__1, i__2, i__3;
@@ -3464,9 +3464,9 @@
 
     /* Local variables */
-    static integer idij, ipph, i__, j, k, l, j2, ic, jc, lc, ik, is;
+    static int_4 idij, ipph, i__, j, k, l, j2, ic, jc, lc, ik, is;
     static r_4 dc2, ai1, ai2, ar1, ar2, ds2;
-    static integer nbd;
+    static int_4 nbd;
     static r_4 dcp, arg, dsp, ar1h, ar2h;
-    static integer idp2, ipp2;
+    static int_4 idp2, ipp2;
 
     /* Parameter adjustments */
@@ -3795,7 +3795,7 @@
 
 /*  ------ File rfftb.f ------ */
-/* Subroutine */ int rfftb_(integer *n, r_4 *r__, r_4 *wsave)
-{
-    extern /* Subroutine */ int rfftb1_(integer *, r_4 *, r_4 *, r_4 *, 
+/* Subroutine */ int rfftb_(int_4 *n, r_4 *r__, r_4 *wsave)
+{
+    extern /* Subroutine */ int rfftb1_(int_4 *, r_4 *, r_4 *, r_4 *, 
 	    int_4 *);
 
@@ -3813,20 +3813,20 @@
 
 /*  ------ File rfftb1.f ------ */
-/* Subroutine */ int rfftb1_(integer *n, r_4 *c__, r_4 *ch, r_4 *wa, 
+/* Subroutine */ int rfftb1_(int_4 *n, r_4 *c__, r_4 *ch, r_4 *wa, 
 	int_4 *ifac)
 {
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
-    extern /* Subroutine */ int radb2_(integer *, integer *, r_4 *, r_4 *, 
-	    r_4 *), radb3_(integer *, integer *, r_4 *, r_4 *, r_4 *, 
-	    r_4 *), radb4_(integer *, integer *, r_4 *, r_4 *, r_4 *, 
-	    r_4 *, r_4 *), radb5_(integer *, integer *, r_4 *, r_4 *, 
+    extern /* Subroutine */ int radb2_(int_4 *, int_4 *, r_4 *, r_4 *, 
+	    r_4 *), radb3_(int_4 *, int_4 *, r_4 *, r_4 *, r_4 *, 
+	    r_4 *), radb4_(int_4 *, int_4 *, r_4 *, r_4 *, r_4 *, 
+	    r_4 *, r_4 *), radb5_(int_4 *, int_4 *, r_4 *, r_4 *, 
 	    r_4 *, r_4 *, r_4 *, r_4 *);
-    static integer i__;
-    extern /* Subroutine */ int radbg_(integer *, integer *, integer *, 
-	    integer *, r_4 *, r_4 *, r_4 *, r_4 *, r_4 *, r_4 *);
-    static integer k1, l1, l2, na, nf, ip, iw, ix2, ix3, ix4, ido, idl1;
+    static int_4 i__;
+    extern /* Subroutine */ int radbg_(int_4 *, int_4 *, int_4 *, 
+	    int_4 *, r_4 *, r_4 *, r_4 *, r_4 *, r_4 *, r_4 *);
+    static int_4 k1, l1, l2, na, nf, ip, iw, ix2, ix3, ix4, ido, idl1;
 
     /* Parameter adjustments */
@@ -3941,7 +3941,7 @@
 
 /*  ------ File rfftf.f ------ */
-/* Subroutine */ int rfftf_(integer *n, r_4 *r__, r_4 *wsave)
-{
-    extern /* Subroutine */ int rfftf1_(integer *, r_4 *, r_4 *, r_4 *, 
+/* Subroutine */ int rfftf_(int_4 *n, r_4 *r__, r_4 *wsave)
+{
+    extern /* Subroutine */ int rfftf1_(int_4 *, r_4 *, r_4 *, r_4 *, 
 	    int_4 *);
 
@@ -3959,20 +3959,20 @@
 
 /*  ------ File rfftf1.f ------ */
-/* Subroutine */ int rfftf1_(integer *n, r_4 *c__, r_4 *ch, r_4 *wa, 
+/* Subroutine */ int rfftf1_(int_4 *n, r_4 *c__, r_4 *ch, r_4 *wa, 
 	int_4 *ifac)
 {
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
-    extern /* Subroutine */ int radf2_(integer *, integer *, r_4 *, r_4 *, 
-	    r_4 *), radf3_(integer *, integer *, r_4 *, r_4 *, r_4 *, 
-	    r_4 *), radf4_(integer *, integer *, r_4 *, r_4 *, r_4 *, 
-	    r_4 *, r_4 *), radf5_(integer *, integer *, r_4 *, r_4 *, 
+    extern /* Subroutine */ int radf2_(int_4 *, int_4 *, r_4 *, r_4 *, 
+	    r_4 *), radf3_(int_4 *, int_4 *, r_4 *, r_4 *, r_4 *, 
+	    r_4 *), radf4_(int_4 *, int_4 *, r_4 *, r_4 *, r_4 *, 
+	    r_4 *, r_4 *), radf5_(int_4 *, int_4 *, r_4 *, r_4 *, 
 	    r_4 *, r_4 *, r_4 *, r_4 *);
-    static integer i__;
-    extern /* Subroutine */ int radfg_(integer *, integer *, integer *, 
-	    integer *, r_4 *, r_4 *, r_4 *, r_4 *, r_4 *, r_4 *);
-    static integer k1, l1, l2, na, kh, nf, ip, iw, ix2, ix3, ix4, ido, idl1;
+    static int_4 i__;
+    extern /* Subroutine */ int radfg_(int_4 *, int_4 *, int_4 *, 
+	    int_4 *, r_4 *, r_4 *, r_4 *, r_4 *, r_4 *, r_4 *);
+    static int_4 k1, l1, l2, na, kh, nf, ip, iw, ix2, ix3, ix4, ido, idl1;
 
     /* Parameter adjustments */
@@ -4082,7 +4082,7 @@
 
 /*  ------ File rffti.f ------ */
-/* Subroutine */ int rffti_(integer *n, r_4 *wsave)
-{
-    extern /* Subroutine */ int rffti1_(integer *, r_4 *, int_4 *);
+/* Subroutine */ int rffti_(int_4 *n, r_4 *wsave)
+{
+    extern /* Subroutine */ int rffti1_(int_4 *, r_4 *, int_4 *);
 
     /* Parameter adjustments */
@@ -4098,12 +4098,12 @@
 
 /*  ------ File rffti1.f ------ */
-/* Subroutine */ int rffti1_(integer *n, r_4 *wa, int_4 *ifac)
+/* Subroutine */ int rffti1_(int_4 *n, r_4 *wa, int_4 *ifac)
 {
     /* Initialized data */
 
-    static integer ntryh[4] = { 4,2,3,5 };
+    static int_4 ntryh[4] = { 4,2,3,5 };
 
     /* System generated locals */
-    integer i__1, i__2, i__3;
+    int_4 i__1, i__2, i__3;
 
     /* Builtin functions */
@@ -4112,13 +4112,13 @@
     /* Local variables */
     static r_4 argh;
-    static integer ntry, i__, j;
+    static int_4 ntry, i__, j;
     static r_4 argld;
-    static integer k1, l1, l2, ib;
+    static int_4 k1, l1, l2, ib;
     static r_4 fi;
-    static integer ld, ii, nf, ip, nl, is, nq, nr;
+    static int_4 ld, ii, nf, ip, nl, is, nq, nr;
     static r_4 arg;
-    static integer ido, ipm;
+    static int_4 ido, ipm;
     static r_4 tpi;
-    static integer nfm1;
+    static int_4 nfm1;
 
     /* Parameter adjustments */
@@ -4213,14 +4213,14 @@
 
 /*  ------ File sinqb.f ------ */
-/* Subroutine */ int sinqb_(integer *n, r_4 *x, r_4 *wsave)
+/* Subroutine */ int sinqb_(int_4 *n, r_4 *x, r_4 *wsave)
 {
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
-    static integer k;
-    extern /* Subroutine */ int cosqb_(integer *, r_4 *, r_4 *);
+    static int_4 k;
+    extern /* Subroutine */ int cosqb_(int_4 *, r_4 *, r_4 *);
     static r_4 xhold;
-    static integer kc, ns2;
+    static int_4 kc, ns2;
 
     /* Parameter adjustments */
@@ -4254,14 +4254,14 @@
 
 /*  ------ File sinqf.f ------ */
-/* Subroutine */ int sinqf_(integer *n, r_4 *x, r_4 *wsave)
+/* Subroutine */ int sinqf_(int_4 *n, r_4 *x, r_4 *wsave)
 {
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
-    static integer k;
-    extern /* Subroutine */ int cosqf_(integer *, r_4 *, r_4 *);
+    static int_4 k;
+    extern /* Subroutine */ int cosqf_(int_4 *, r_4 *, r_4 *);
     static r_4 xhold;
-    static integer kc, ns2;
+    static int_4 kc, ns2;
 
     /* Parameter adjustments */
@@ -4292,7 +4292,7 @@
 
 /*  ------ File sinqi.f ------ */
-/* Subroutine */ int sinqi_(integer *n, r_4 *wsave)
-{
-    extern /* Subroutine */ int cosqi_(integer *, r_4 *);
+/* Subroutine */ int sinqi_(int_4 *n, r_4 *wsave)
+{
+    extern /* Subroutine */ int cosqi_(int_4 *, r_4 *);
 
     /* Parameter adjustments */
@@ -4305,9 +4305,9 @@
 
 /*  ------ File sint.f ------ */
-/* Subroutine */ int sint_(integer *n, r_4 *x, r_4 *wsave)
-{
-    extern /* Subroutine */ int sint1_(integer *, r_4 *, r_4 *, r_4 *, 
+/* Subroutine */ int sint_(int_4 *n, r_4 *x, r_4 *wsave)
+{
+    extern /* Subroutine */ int sint1_(int_4 *, r_4 *, r_4 *, r_4 *, 
 	    r_4 *, int_4 *);
-    static integer np1, iw1, iw2, iw3;
+    static int_4 np1, iw1, iw2, iw3;
 
     /* Parameter adjustments */
@@ -4325,5 +4325,5 @@
 
 /*  ------ File sint1.f ------ */
-/* Subroutine */ int sint1_(integer *n, r_4 *war, r_4 *was, r_4 *xh, r_4 *
+/* Subroutine */ int sint1_(int_4 *n, r_4 *war, r_4 *was, r_4 *xh, r_4 *
 	x, int_4 *ifac)
 {
@@ -4333,12 +4333,12 @@
 
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
-    static integer modn, i__, k;
+    static int_4 modn, i__, k;
     static r_4 xhold, t1, t2;
-    extern /* Subroutine */ int rfftf1_(integer *, r_4 *, r_4 *, r_4 *, 
+    extern /* Subroutine */ int rfftf1_(int_4 *, r_4 *, r_4 *, r_4 *, 
 	    int_4 *);
-    static integer kc, np1, ns2;
+    static int_4 kc, np1, ns2;
 
     /* Parameter adjustments */
@@ -4411,5 +4411,5 @@
 
 /*  ------ File sinti.f ------ */
-/* Subroutine */ int sinti_(integer *n, r_4 *wsave)
+/* Subroutine */ int sinti_(int_4 *n, r_4 *wsave)
 {
     /* Initialized data */
@@ -4418,5 +4418,5 @@
 
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Builtin functions */
@@ -4424,8 +4424,8 @@
 
     /* Local variables */
-    static integer k;
-    extern /* Subroutine */ int rffti_(integer *, r_4 *);
+    static int_4 k;
+    extern /* Subroutine */ int rffti_(int_4 *, r_4 *);
     static r_4 dt;
-    static integer np1, ns2;
+    static int_4 np1, ns2;
 
     /* Parameter adjustments */
@@ -4452,9 +4452,9 @@
 /* --------------------------------------------------------------- */
 
-/* Subroutine */ int cdfftb_(integer *n, r_8 *c__, r_8 *wsave)
-{
-    extern /* Subroutine */ int cdfftb1_(integer *, r_8 *, r_8 *, r_8 *, 
+/* Subroutine */ int cdfftb_(int_4 *n, r_8 *c__, r_8 *wsave)
+{
+    extern /* Subroutine */ int cdfftb1_(int_4 *, r_8 *, r_8 *, r_8 *, 
 	    int_8 *);
-    static integer iw1, iw2;
+    static int_4 iw1, iw2;
 
     /* Parameter adjustments */
@@ -4473,22 +4473,22 @@
 
 /*  ------ File cdfftb1.f ------ */
-/* Subroutine */ int cdfftb1_(integer *n, r_8 *c__, r_8 *ch, r_8 *wa, 
+/* Subroutine */ int cdfftb1_(int_4 *n, r_8 *c__, r_8 *ch, r_8 *wa, 
 	int_8 *ifac)
 {
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
-    static integer idot, i__;
-    extern /* Subroutine */ int dpassb_(integer *, integer *, integer *, 
-	    integer *, integer *, r_8 *, r_8 *, r_8 *, r_8 *, r_8 *, 
+    static int_4 idot, i__;
+    extern /* Subroutine */ int dpassb_(int_4 *, int_4 *, int_4 *, 
+	    int_4 *, int_4 *, r_8 *, r_8 *, r_8 *, r_8 *, r_8 *, 
 	    r_8 *);
-    static integer k1, l1, l2, n2;
-    extern /* Subroutine */ int dpassb2_(integer *, integer *, r_8 *, r_8 *, 
-	    r_8 *), dpassb3_(integer *, integer *, r_8 *, r_8 *, r_8 *, 
-	    r_8 *), dpassb4_(integer *, integer *, r_8 *, r_8 *, r_8 *, 
-	    r_8 *, r_8 *), dpassb5_(integer *, integer *, r_8 *, r_8 *, 
+    static int_4 k1, l1, l2, n2;
+    extern /* Subroutine */ int dpassb2_(int_4 *, int_4 *, r_8 *, r_8 *, 
+	    r_8 *), dpassb3_(int_4 *, int_4 *, r_8 *, r_8 *, r_8 *, 
+	    r_8 *), dpassb4_(int_4 *, int_4 *, r_8 *, r_8 *, r_8 *, 
+	    r_8 *, r_8 *), dpassb5_(int_4 *, int_4 *, r_8 *, r_8 *, 
 	    r_8 *, r_8 *, r_8 *, r_8 *);
-    static integer na, nf, ip, iw, ix2, ix3, ix4, nac, ido, idl1;
+    static int_4 na, nf, ip, iw, ix2, ix3, ix4, nac, ido, idl1;
 
     /* Parameter adjustments */
@@ -4605,9 +4605,9 @@
 
 /*  ------ File cdfftf.f ------ */
-/* Subroutine */ int cdfftf_(integer *n, r_8 *c__, r_8 *wsave)
-{
-    extern /* Subroutine */ int cdfftf1_(integer *, r_8 *, r_8 *, r_8 *, 
+/* Subroutine */ int cdfftf_(int_4 *n, r_8 *c__, r_8 *wsave)
+{
+    extern /* Subroutine */ int cdfftf1_(int_4 *, r_8 *, r_8 *, r_8 *, 
 	    int_8 *);
-    static integer iw1, iw2;
+    static int_4 iw1, iw2;
 
     /* Parameter adjustments */
@@ -4626,22 +4626,22 @@
 
 /*  ------ File cdfftf1.f ------ */
-/* Subroutine */ int cdfftf1_(integer *n, r_8 *c__, r_8 *ch, r_8 *wa, 
+/* Subroutine */ int cdfftf1_(int_4 *n, r_8 *c__, r_8 *ch, r_8 *wa, 
 	int_8 *ifac)
 {
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
-    static integer idot, i__;
-    extern /* Subroutine */ int dpassf_(integer *, integer *, integer *, 
-	    integer *, integer *, r_8 *, r_8 *, r_8 *, r_8 *, r_8 *, 
+    static int_4 idot, i__;
+    extern /* Subroutine */ int dpassf_(int_4 *, int_4 *, int_4 *, 
+	    int_4 *, int_4 *, r_8 *, r_8 *, r_8 *, r_8 *, r_8 *, 
 	    r_8 *);
-    static integer k1, l1, l2, n2;
-    extern /* Subroutine */ int dpassf2_(integer *, integer *, r_8 *, r_8 *, 
-	    r_8 *), dpassf3_(integer *, integer *, r_8 *, r_8 *, r_8 *, 
-	    r_8 *), dpassf4_(integer *, integer *, r_8 *, r_8 *, r_8 *, 
-	    r_8 *, r_8 *), dpassf5_(integer *, integer *, r_8 *, r_8 *, 
+    static int_4 k1, l1, l2, n2;
+    extern /* Subroutine */ int dpassf2_(int_4 *, int_4 *, r_8 *, r_8 *, 
+	    r_8 *), dpassf3_(int_4 *, int_4 *, r_8 *, r_8 *, r_8 *, 
+	    r_8 *), dpassf4_(int_4 *, int_4 *, r_8 *, r_8 *, r_8 *, 
+	    r_8 *, r_8 *), dpassf5_(int_4 *, int_4 *, r_8 *, r_8 *, 
 	    r_8 *, r_8 *, r_8 *, r_8 *);
-    static integer na, nf, ip, iw, ix2, ix3, ix4, nac, ido, idl1;
+    static int_4 na, nf, ip, iw, ix2, ix3, ix4, nac, ido, idl1;
 
     /* Parameter adjustments */
@@ -4758,8 +4758,8 @@
 
 /*  ------ File cdffti.f ------ */
-/* Subroutine */ int cdffti_(integer *n, r_8 *wsave)
-{
-    extern /* Subroutine */ int cdffti1_(integer *, r_8 *, int_8 *);
-    static integer iw1, iw2;
+/* Subroutine */ int cdffti_(int_4 *n, r_8 *wsave)
+{
+    extern /* Subroutine */ int cdffti1_(int_4 *, r_8 *, int_8 *);
+    static int_4 iw1, iw2;
 
     /* Parameter adjustments */
@@ -4777,12 +4777,12 @@
 
 /*  ------ File cdffti1.f ------ */
-/* Subroutine */ int cdffti1_(integer *n, r_8 *wa, int_8 *ifac)
+/* Subroutine */ int cdffti1_(int_4 *n, r_8 *wa, int_8 *ifac)
 {
     /* Initialized data */
 
-    static integer ntryh[4] = { 3,4,2,5 };
+    static int_4 ntryh[4] = { 3,4,2,5 };
 
     /* System generated locals */
-    integer i__1, i__2, i__3;
+    int_4 i__1, i__2, i__3;
 
     /* Builtin functions */
@@ -4791,11 +4791,11 @@
     /* Local variables */
     static r_8 argh;
-    static integer idot, ntry, i__, j;
+    static int_4 idot, ntry, i__, j;
     static r_8 argld;
-    static integer i1, k1, l1, l2, ib;
+    static int_4 i1, k1, l1, l2, ib;
     static r_8 fi;
-    static integer ld, ii, nf, ip, nl, nq, nr;
+    static int_4 ld, ii, nf, ip, nl, nq, nr;
     static r_8 arg;
-    static integer ido, ipm;
+    static int_4 ido, ipm;
     static r_8 tpi;
 
@@ -4895,5 +4895,5 @@
 
 /*  ------ File dcosqb.f ------ */
-/* Subroutine */ int dcosqb_(integer *n, r_8 *x, r_8 *wsave)
+/* Subroutine */ int dcosqb_(int_4 *n, r_8 *x, r_8 *wsave)
 {
     /* Initialized data */
@@ -4902,9 +4902,9 @@
 
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
     static r_8 x1;
-    extern /* Subroutine */ int dcosqb1_(integer *, r_8 *, r_8 *, r_8 *);
+    extern /* Subroutine */ int dcosqb1_(int_4 *, r_8 *, r_8 *, r_8 *);
 
     /* Parameter adjustments */
@@ -4934,13 +4934,13 @@
 
 /*  ------ File dcosqb1.f ------ */
-/* Subroutine */ int dcosqb1_(integer *n, r_8 *x, r_8 *w, r_8 *xh)
+/* Subroutine */ int dcosqb1_(int_4 *n, r_8 *x, r_8 *w, r_8 *xh)
 {
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
-    static integer modn, i__, k;
-    extern /* Subroutine */ int dfftb_(integer *, r_8 *, r_8 *);
-    static integer kc, np2, ns2;
+    static int_4 modn, i__, k;
+    extern /* Subroutine */ int dfftb_(int_4 *, r_8 *, r_8 *);
+    static int_4 kc, np2, ns2;
     static r_8 xim1;
 
@@ -4988,5 +4988,5 @@
 
 /*  ------ File dcosqf.f ------ */
-/* Subroutine */ int dcosqf_(integer *n, r_8 *x, r_8 *wsave)
+/* Subroutine */ int dcosqf_(int_4 *n, r_8 *x, r_8 *wsave)
 {
     /* Initialized data */
@@ -4995,9 +4995,9 @@
 
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
     static r_8 tsqx;
-    extern /* Subroutine */ int dcosqf1_(integer *, r_8 *, r_8 *, r_8 *);
+    extern /* Subroutine */ int dcosqf1_(int_4 *, r_8 *, r_8 *, r_8 *);
 
     /* Parameter adjustments */
@@ -5025,13 +5025,13 @@
 
 /*  ------ File dcosqf1.f ------ */
-/* Subroutine */ int dcosqf1_(integer *n, r_8 *x, r_8 *w, r_8 *xh)
+/* Subroutine */ int dcosqf1_(int_4 *n, r_8 *x, r_8 *w, r_8 *xh)
 {
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
-    static integer modn, i__, k;
-    extern /* Subroutine */ int dfftf_(integer *, r_8 *, r_8 *);
-    static integer kc, np2, ns2;
+    static int_4 modn, i__, k;
+    extern /* Subroutine */ int dfftf_(int_4 *, r_8 *, r_8 *);
+    static int_4 kc, np2, ns2;
     static r_8 xim1;
 
@@ -5077,5 +5077,5 @@
 
 /*  ------ File dcosqi.f ------ */
-/* Subroutine */ int dcosqi_(integer *n, r_8 *wsave)
+/* Subroutine */ int dcosqi_(int_4 *n, r_8 *wsave)
 {
     /* Initialized data */
@@ -5084,5 +5084,5 @@
 
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Builtin functions */
@@ -5090,6 +5090,6 @@
 
     /* Local variables */
-    static integer k;
-    extern /* Subroutine */ int dffti_(integer *, r_8 *);
+    static int_4 k;
+    extern /* Subroutine */ int dffti_(int_4 *, r_8 *);
     static r_8 fk, dt;
 
@@ -5111,18 +5111,18 @@
 
 /*  ------ File dcost.f ------ */
-/* Subroutine */ int dcost_(integer *n, r_8 *x, r_8 *wsave)
+/* Subroutine */ int dcost_(int_4 *n, r_8 *x, r_8 *wsave)
 {
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
-    static integer modn, i__, k;
-    extern /* Subroutine */ int dfftf_(integer *, r_8 *, r_8 *);
+    static int_4 modn, i__, k;
+    extern /* Subroutine */ int dfftf_(int_4 *, r_8 *, r_8 *);
     static r_8 c1, t1, t2;
-    static integer kc;
+    static int_4 kc;
     static r_8 xi;
-    static integer nm1, np1;
+    static int_4 nm1, np1;
     static r_8 x1h;
-    static integer ns2;
+    static int_4 ns2;
     static r_8 tx2, x1p3, xim2;
 
@@ -5194,5 +5194,5 @@
 
 /*  ------ File dcosti.f ------ */
-/* Subroutine */ int dcosti_(integer *n, r_8 *wsave)
+/* Subroutine */ int dcosti_(int_4 *n, r_8 *wsave)
 {
     /* Initialized data */
@@ -5201,5 +5201,5 @@
 
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Builtin functions */
@@ -5207,9 +5207,9 @@
 
     /* Local variables */
-    static integer k;
-    extern /* Subroutine */ int dffti_(integer *, r_8 *);
-    static integer kc;
+    static int_4 k;
+    extern /* Subroutine */ int dffti_(int_4 *, r_8 *);
+    static int_4 kc;
     static r_8 fk, dt;
-    static integer nm1, np1, ns2;
+    static int_4 nm1, np1, ns2;
 
     /* Parameter adjustments */
@@ -5238,13 +5238,13 @@
 
 /*  ------ File dezfft1.f ------ */
-/* Subroutine */ int dezfft1_(integer *n, r_8 *wa, int_8 *ifac)
+/* Subroutine */ int dezfft1_(int_4 *n, r_8 *wa, int_8 *ifac)
 {
     /* Initialized data */
 
-    static integer ntryh[4] = { 4,2,3,5 };
+    static int_4 ntryh[4] = { 4,2,3,5 };
     static r_8 tpi = 6.28318530717959f;
 
     /* System generated locals */
-    integer i__1, i__2, i__3;
+    int_4 i__1, i__2, i__3;
 
     /* Builtin functions */
@@ -5253,9 +5253,9 @@
     /* Local variables */
     static r_8 argh;
-    static integer ntry, i__, j, k1, l1, l2, ib, ii, nf, ip, nl, is, nq, nr;
+    static int_4 ntry, i__, j, k1, l1, l2, ib, ii, nf, ip, nl, is, nq, nr;
     static r_8 ch1, sh1;
-    static integer ido, ipm;
+    static int_4 ido, ipm;
     static r_8 dch1, ch1h, arg1, dsh1;
-    static integer nfm1;
+    static int_4 nfm1;
 
     /* Parameter adjustments */
@@ -5357,14 +5357,14 @@
 
 /*  ------ File dezfftb.f ------ */
-/* Subroutine */ int dezfftb_(integer *n, r_8 *r__, r_8 *azero, r_8 *a, 
+/* Subroutine */ int dezfftb_(int_4 *n, r_8 *r__, r_8 *azero, r_8 *a, 
 	r_8 *b, r_8 *wsave)
 {
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
-    static integer i__;
-    extern /* Subroutine */ int dfftb_(integer *, r_8 *, r_8 *);
-    static integer ns2;
+    static int_4 i__;
+    extern /* Subroutine */ int dfftb_(int_4 *, r_8 *, r_8 *);
+    static int_4 ns2;
 
     /* Parameter adjustments */
@@ -5406,17 +5406,17 @@
 
 /*  ------ File dezfftf.f ------ */
-/* Subroutine */ int dezfftf_(integer *n, r_8 *r__, r_8 *azero, r_8 *a, 
+/* Subroutine */ int dezfftf_(int_4 *n, r_8 *r__, r_8 *azero, r_8 *a, 
 	r_8 *b, r_8 *wsave)
 {
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
-    static integer i__;
-    extern /* Subroutine */ int dfftf_(integer *, r_8 *, r_8 *);
+    static int_4 i__;
+    extern /* Subroutine */ int dfftf_(int_4 *, r_8 *, r_8 *);
     static r_8 cf;
-    static integer ns2;
+    static int_4 ns2;
     static r_8 cfm;
-    static integer ns2m;
+    static int_4 ns2m;
 
 
@@ -5471,7 +5471,7 @@
 
 /*  ------ File dezffti.f ------ */
-/* Subroutine */ int dezffti_(integer *n, r_8 *wsave)
-{
-    extern /* Subroutine */ int dezfft1_(integer *, r_8 *, int_8 *);
+/* Subroutine */ int dezffti_(int_4 *n, r_8 *wsave)
+{
+    extern /* Subroutine */ int dezfft1_(int_4 *, r_8 *, int_8 *);
 
     /* Parameter adjustments */
@@ -5487,18 +5487,18 @@
 
 /*  ------ File dpassb.f ------ */
-/* Subroutine */ int dpassb_(integer *nac, integer *ido, integer *ip, integer *
-	l1, integer *idl1, r_8 *cc, r_8 *c1, r_8 *c2, r_8 *ch, r_8 *ch2, 
+/* Subroutine */ int dpassb_(int_4 *nac, int_4 *ido, int_4 *ip, int_4 *
+	l1, int_4 *idl1, r_8 *cc, r_8 *c1, r_8 *c2, r_8 *ch, r_8 *ch2, 
 	r_8 *wa)
 {
     /* System generated locals */
-    integer ch_dim1, ch_dim2, ch_offset, cc_dim1, cc_dim2, cc_offset, c1_dim1,
+    int_4 ch_dim1, ch_dim2, ch_offset, cc_dim1, cc_dim2, cc_offset, c1_dim1,
 	     c1_dim2, c1_offset, c2_dim1, c2_offset, ch2_dim1, ch2_offset, 
 	    i__1, i__2, i__3;
 
     /* Local variables */
-    static integer idij, idlj, idot, ipph, i__, j, k, l, jc, lc, ik, nt, idj, 
+    static int_4 idij, idlj, idot, ipph, i__, j, k, l, jc, lc, ik, nt, idj, 
 	    idl, inc, idp;
     static r_8 wai, war;
-    static integer ipp2;
+    static int_4 ipp2;
 
     /* Parameter adjustments */
@@ -5728,12 +5728,12 @@
 
 /*  ------ File dpassb2.f ------ */
-/* Subroutine */ int dpassb2_(integer *ido, integer *l1, r_8 *cc, r_8 *ch, 
+/* Subroutine */ int dpassb2_(int_4 *ido, int_4 *l1, r_8 *cc, r_8 *ch, 
 	r_8 *wa1)
 {
     /* System generated locals */
-    integer cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k;
+    static int_4 i__, k;
     static r_8 ti2, tr2;
 
@@ -5790,5 +5790,5 @@
 
 /*  ------ File dpassb3.f ------ */
-/* Subroutine */ int dpassb3_(integer *ido, integer *l1, r_8 *cc, r_8 *ch, 
+/* Subroutine */ int dpassb3_(int_4 *ido, int_4 *l1, r_8 *cc, r_8 *ch, 
 	r_8 *wa1, r_8 *wa2)
 {
@@ -5799,8 +5799,8 @@
 
     /* System generated locals */
-    integer cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k;
+    static int_4 i__, k;
     static r_8 ci2, ci3, di2, di3, cr2, cr3, dr2, dr3, ti2, tr2;
 
@@ -5878,12 +5878,12 @@
 
 /*  ------ File dpassb4.f ------ */
-/* Subroutine */ int dpassb4_(integer *ido, integer *l1, r_8 *cc, r_8 *ch, 
+/* Subroutine */ int dpassb4_(int_4 *ido, int_4 *l1, r_8 *cc, r_8 *ch, 
 	r_8 *wa1, r_8 *wa2, r_8 *wa3)
 {
     /* System generated locals */
-    integer cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k;
+    static int_4 i__, k;
     static r_8 ci2, ci3, ci4, cr2, cr3, cr4, ti1, ti2, ti3, ti4, tr1, tr2, 
 	    tr3, tr4;
@@ -5983,5 +5983,5 @@
 
 /*  ------ File dpassb5.f ------ */
-/* Subroutine */ int dpassb5_(integer *ido, integer *l1, r_8 *cc, r_8 *ch, 
+/* Subroutine */ int dpassb5_(int_4 *ido, int_4 *l1, r_8 *cc, r_8 *ch, 
 	r_8 *wa1, r_8 *wa2, r_8 *wa3, r_8 *wa4)
 {
@@ -5994,8 +5994,8 @@
 
     /* System generated locals */
-    integer cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k;
+    static int_4 i__, k;
     static r_8 ci2, ci3, ci4, ci5, di3, di4, di5, di2, cr2, cr3, cr5, cr4, 
 	    ti2, ti3, ti4, ti5, dr3, dr4, dr5, dr2, tr2, tr3, tr4, tr5;
@@ -6118,18 +6118,18 @@
 
 /*  ------ File dpassf.f ------ */
-/* Subroutine */ int dpassf_(integer *nac, integer *ido, integer *ip, integer *
-	l1, integer *idl1, r_8 *cc, r_8 *c1, r_8 *c2, r_8 *ch, r_8 *ch2, 
+/* Subroutine */ int dpassf_(int_4 *nac, int_4 *ido, int_4 *ip, int_4 *
+	l1, int_4 *idl1, r_8 *cc, r_8 *c1, r_8 *c2, r_8 *ch, r_8 *ch2, 
 	r_8 *wa)
 {
     /* System generated locals */
-    integer ch_dim1, ch_dim2, ch_offset, cc_dim1, cc_dim2, cc_offset, c1_dim1,
+    int_4 ch_dim1, ch_dim2, ch_offset, cc_dim1, cc_dim2, cc_offset, c1_dim1,
 	     c1_dim2, c1_offset, c2_dim1, c2_offset, ch2_dim1, ch2_offset, 
 	    i__1, i__2, i__3;
 
     /* Local variables */
-    static integer idij, idlj, idot, ipph, i__, j, k, l, jc, lc, ik, nt, idj, 
+    static int_4 idij, idlj, idot, ipph, i__, j, k, l, jc, lc, ik, nt, idj, 
 	    idl, inc, idp;
     static r_8 wai, war;
-    static integer ipp2;
+    static int_4 ipp2;
 
     /* Parameter adjustments */
@@ -6359,12 +6359,12 @@
 
 /*  ------ File dpassf2.f ------ */
-/* Subroutine */ int dpassf2_(integer *ido, integer *l1, r_8 *cc, r_8 *ch, 
+/* Subroutine */ int dpassf2_(int_4 *ido, int_4 *l1, r_8 *cc, r_8 *ch, 
 	r_8 *wa1)
 {
     /* System generated locals */
-    integer cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k;
+    static int_4 i__, k;
     static r_8 ti2, tr2;
 
@@ -6421,5 +6421,5 @@
 
 /*  ------ File dpassf3.f ------ */
-/* Subroutine */ int dpassf3_(integer *ido, integer *l1, r_8 *cc, r_8 *ch, 
+/* Subroutine */ int dpassf3_(int_4 *ido, int_4 *l1, r_8 *cc, r_8 *ch, 
 	r_8 *wa1, r_8 *wa2)
 {
@@ -6430,8 +6430,8 @@
 
     /* System generated locals */
-    integer cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k;
+    static int_4 i__, k;
     static r_8 ci2, ci3, di2, di3, cr2, cr3, dr2, dr3, ti2, tr2;
 
@@ -6509,12 +6509,12 @@
 
 /*  ------ File dpassf4.f ------ */
-/* Subroutine */ int dpassf4_(integer *ido, integer *l1, r_8 *cc, r_8 *ch, 
+/* Subroutine */ int dpassf4_(int_4 *ido, int_4 *l1, r_8 *cc, r_8 *ch, 
 	r_8 *wa1, r_8 *wa2, r_8 *wa3)
 {
     /* System generated locals */
-    integer cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k;
+    static int_4 i__, k;
     static r_8 ci2, ci3, ci4, cr2, cr3, cr4, ti1, ti2, ti3, ti4, tr1, tr2, 
 	    tr3, tr4;
@@ -6614,5 +6614,5 @@
 
 /*  ------ File dpassf5.f ------ */
-/* Subroutine */ int dpassf5_(integer *ido, integer *l1, r_8 *cc, r_8 *ch, 
+/* Subroutine */ int dpassf5_(int_4 *ido, int_4 *l1, r_8 *cc, r_8 *ch, 
 	r_8 *wa1, r_8 *wa2, r_8 *wa3, r_8 *wa4)
 {
@@ -6625,8 +6625,8 @@
 
     /* System generated locals */
-    integer cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k;
+    static int_4 i__, k;
     static r_8 ci2, ci3, ci4, ci5, di3, di4, di5, di2, cr2, cr3, cr5, cr4, 
 	    ti2, ti3, ti4, ti5, dr3, dr4, dr5, dr2, tr2, tr3, tr4, tr5;
@@ -6749,14 +6749,14 @@
 
 /*  ------ File dadb2.f ------ */
-/* Subroutine */ int dadb2_(integer *ido, integer *l1, r_8 *cc, r_8 *ch, 
+/* Subroutine */ int dadb2_(int_4 *ido, int_4 *l1, r_8 *cc, r_8 *ch, 
 	r_8 *wa1)
 {
     /* System generated locals */
-    integer cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k, ic;
+    static int_4 i__, k, ic;
     static r_8 ti2, tr2;
-    static integer idp2;
+    static int_4 idp2;
 
     /* Parameter adjustments */
@@ -6826,5 +6826,5 @@
 
 /*  ------ File dadb3.f ------ */
-/* Subroutine */ int dadb3_(integer *ido, integer *l1, r_8 *cc, r_8 *ch, 
+/* Subroutine */ int dadb3_(int_4 *ido, int_4 *l1, r_8 *cc, r_8 *ch, 
 	r_8 *wa1, r_8 *wa2)
 {
@@ -6835,10 +6835,10 @@
 
     /* System generated locals */
-    integer cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k, ic;
+    static int_4 i__, k, ic;
     static r_8 ci2, ci3, di2, di3, cr2, cr3, dr2, dr3, ti2, tr2;
-    static integer idp2;
+    static int_4 idp2;
 
     /* Parameter adjustments */
@@ -6909,5 +6909,5 @@
 
 /*  ------ File dadb4.f ------ */
-/* Subroutine */ int dadb4_(integer *ido, integer *l1, r_8 *cc, r_8 *ch, 
+/* Subroutine */ int dadb4_(int_4 *ido, int_4 *l1, r_8 *cc, r_8 *ch, 
 	r_8 *wa1, r_8 *wa2, r_8 *wa3)
 {
@@ -6917,11 +6917,11 @@
 
     /* System generated locals */
-    integer cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k, ic;
+    static int_4 i__, k, ic;
     static r_8 ci2, ci3, ci4, cr2, cr3, cr4, ti1, ti2, ti3, ti4, tr1, tr2, 
 	    tr3, tr4;
-    static integer idp2;
+    static int_4 idp2;
 
     /* Parameter adjustments */
@@ -7033,5 +7033,5 @@
 
 /*  ------ File dadb5.f ------ */
-/* Subroutine */ int dadb5_(integer *ido, integer *l1, r_8 *cc, r_8 *ch, 
+/* Subroutine */ int dadb5_(int_4 *ido, int_4 *l1, r_8 *cc, r_8 *ch, 
 	r_8 *wa1, r_8 *wa2, r_8 *wa3, r_8 *wa4)
 {
@@ -7044,11 +7044,11 @@
 
     /* System generated locals */
-    integer cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_offset, ch_dim1, ch_dim2, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k, ic;
+    static int_4 i__, k, ic;
     static r_8 ci2, ci3, ci4, ci5, di3, di4, di5, di2, cr2, cr3, cr5, cr4, 
 	    ti2, ti3, ti4, ti5, dr3, dr4, dr5, dr2, tr2, tr3, tr4, tr5;
-    static integer idp2;
+    static int_4 idp2;
 
     /* Parameter adjustments */
@@ -7157,5 +7157,5 @@
 
 /*  ------ File dadbg.f ------ */
-/* Subroutine */ int dadbg_(integer *ido, integer *ip, integer *l1, integer *
+/* Subroutine */ int dadbg_(int_4 *ido, int_4 *ip, int_4 *l1, int_4 *
 	idl1, r_8 *cc, r_8 *c1, r_8 *c2, r_8 *ch, r_8 *ch2, r_8 *wa)
 {
@@ -7165,5 +7165,5 @@
 
     /* System generated locals */
-    integer ch_dim1, ch_dim2, ch_offset, cc_dim1, cc_dim2, cc_offset, c1_dim1,
+    int_4 ch_dim1, ch_dim2, ch_offset, cc_dim1, cc_dim2, cc_offset, c1_dim1,
 	     c1_dim2, c1_offset, c2_dim1, c2_offset, ch2_dim1, ch2_offset, 
 	    i__1, i__2, i__3;
@@ -7173,9 +7173,9 @@
 
     /* Local variables */
-    static integer idij, ipph, i__, j, k, l, j2, ic, jc, lc, ik, is;
+    static int_4 idij, ipph, i__, j, k, l, j2, ic, jc, lc, ik, is;
     static r_8 dc2, ai1, ai2, ar1, ar2, ds2;
-    static integer nbd;
+    static int_4 nbd;
     static r_8 dcp, arg, dsp, ar1h, ar2h;
-    static integer idp2, ipp2;
+    static int_4 idp2, ipp2;
 
     /* Parameter adjustments */
@@ -7498,14 +7498,14 @@
 
 /*  ------ File dadf2.f ------ */
-/* Subroutine */ int dadf2_(integer *ido, integer *l1, r_8 *cc, r_8 *ch, 
+/* Subroutine */ int dadf2_(int_4 *ido, int_4 *l1, r_8 *cc, r_8 *ch, 
 	r_8 *wa1)
 {
     /* System generated locals */
-    integer ch_dim1, ch_offset, cc_dim1, cc_dim2, cc_offset, i__1, i__2;
+    int_4 ch_dim1, ch_offset, cc_dim1, cc_dim2, cc_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k, ic;
+    static int_4 i__, k, ic;
     static r_8 ti2, tr2;
-    static integer idp2;
+    static int_4 idp2;
 
     /* Parameter adjustments */
@@ -7576,5 +7576,5 @@
 
 /*  ------ File dadf3.f ------ */
-/* Subroutine */ int dadf3_(integer *ido, integer *l1, r_8 *cc, r_8 *ch, 
+/* Subroutine */ int dadf3_(int_4 *ido, int_4 *l1, r_8 *cc, r_8 *ch, 
 	r_8 *wa1, r_8 *wa2)
 {
@@ -7585,10 +7585,10 @@
 
     /* System generated locals */
-    integer ch_dim1, ch_offset, cc_dim1, cc_dim2, cc_offset, i__1, i__2;
+    int_4 ch_dim1, ch_offset, cc_dim1, cc_dim2, cc_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k, ic;
+    static int_4 i__, k, ic;
     static r_8 ci2, di2, di3, cr2, dr2, dr3, ti2, ti3, tr2, tr3;
-    static integer idp2;
+    static int_4 idp2;
 
     /* Parameter adjustments */
@@ -7655,5 +7655,5 @@
 
 /*  ------ File dadf4.f ------ */
-/* Subroutine */ int dadf4_(integer *ido, integer *l1, r_8 *cc, r_8 *ch, 
+/* Subroutine */ int dadf4_(int_4 *ido, int_4 *l1, r_8 *cc, r_8 *ch, 
 	r_8 *wa1, r_8 *wa2, r_8 *wa3)
 {
@@ -7663,11 +7663,11 @@
 
     /* System generated locals */
-    integer cc_dim1, cc_dim2, cc_offset, ch_dim1, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_dim2, cc_offset, ch_dim1, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k, ic;
+    static int_4 i__, k, ic;
     static r_8 ci2, ci3, ci4, cr2, cr3, cr4, ti1, ti2, ti3, ti4, tr1, tr2, 
 	    tr3, tr4;
-    static integer idp2;
+    static int_4 idp2;
 
     /* Parameter adjustments */
@@ -7771,5 +7771,5 @@
 
 /*  ------ File dadf5.f ------ */
-/* Subroutine */ int dadf5_(integer *ido, integer *l1, r_8 *cc, r_8 *ch, 
+/* Subroutine */ int dadf5_(int_4 *ido, int_4 *l1, r_8 *cc, r_8 *ch, 
 	r_8 *wa1, r_8 *wa2, r_8 *wa3, r_8 *wa4)
 {
@@ -7782,11 +7782,11 @@
 
     /* System generated locals */
-    integer cc_dim1, cc_dim2, cc_offset, ch_dim1, ch_offset, i__1, i__2;
+    int_4 cc_dim1, cc_dim2, cc_offset, ch_dim1, ch_offset, i__1, i__2;
 
     /* Local variables */
-    static integer i__, k, ic;
+    static int_4 i__, k, ic;
     static r_8 ci2, di2, ci4, ci5, di3, di4, di5, ci3, cr2, cr3, dr2, dr3, 
 	    dr4, dr5, cr5, cr4, ti2, ti3, ti5, ti4, tr2, tr3, tr4, tr5;
-    static integer idp2;
+    static int_4 idp2;
 
     /* Parameter adjustments */
@@ -7889,5 +7889,5 @@
 
 /*  ------ File dadfg.f ------ */
-/* Subroutine */ int dadfg_(integer *ido, integer *ip, integer *l1, integer *
+/* Subroutine */ int dadfg_(int_4 *ido, int_4 *ip, int_4 *l1, int_4 *
 	idl1, r_8 *cc, r_8 *c1, r_8 *c2, r_8 *ch, r_8 *ch2, r_8 *wa)
 {
@@ -7897,5 +7897,5 @@
 
     /* System generated locals */
-    integer ch_dim1, ch_dim2, ch_offset, cc_dim1, cc_dim2, cc_offset, c1_dim1,
+    int_4 ch_dim1, ch_dim2, ch_offset, cc_dim1, cc_dim2, cc_offset, c1_dim1,
 	     c1_dim2, c1_offset, c2_dim1, c2_offset, ch2_dim1, ch2_offset, 
 	    i__1, i__2, i__3;
@@ -7905,9 +7905,9 @@
 
     /* Local variables */
-    static integer idij, ipph, i__, j, k, l, j2, ic, jc, lc, ik, is;
+    static int_4 idij, ipph, i__, j, k, l, j2, ic, jc, lc, ik, is;
     static r_8 dc2, ai1, ai2, ar1, ar2, ds2;
-    static integer nbd;
+    static int_4 nbd;
     static r_8 dcp, arg, dsp, ar1h, ar2h;
-    static integer idp2, ipp2;
+    static int_4 idp2, ipp2;
 
     /* Parameter adjustments */
@@ -8236,7 +8236,7 @@
 
 /*  ------ File dfftb.f ------ */
-/* Subroutine */ int dfftb_(integer *n, r_8 *r__, r_8 *wsave)
-{
-    extern /* Subroutine */ int dfftb1_(integer *, r_8 *, r_8 *, r_8 *, 
+/* Subroutine */ int dfftb_(int_4 *n, r_8 *r__, r_8 *wsave)
+{
+    extern /* Subroutine */ int dfftb1_(int_4 *, r_8 *, r_8 *, r_8 *, 
 	    int_8 *);
 
@@ -8254,20 +8254,20 @@
 
 /*  ------ File dfftb1.f ------ */
-/* Subroutine */ int dfftb1_(integer *n, r_8 *c__, r_8 *ch, r_8 *wa, 
+/* Subroutine */ int dfftb1_(int_4 *n, r_8 *c__, r_8 *ch, r_8 *wa, 
 	int_8 *ifac)
 {
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
-    extern /* Subroutine */ int dadb2_(integer *, integer *, r_8 *, r_8 *, 
-	    r_8 *), dadb3_(integer *, integer *, r_8 *, r_8 *, r_8 *, 
-	    r_8 *), dadb4_(integer *, integer *, r_8 *, r_8 *, r_8 *, 
-	    r_8 *, r_8 *), dadb5_(integer *, integer *, r_8 *, r_8 *, 
+    extern /* Subroutine */ int dadb2_(int_4 *, int_4 *, r_8 *, r_8 *, 
+	    r_8 *), dadb3_(int_4 *, int_4 *, r_8 *, r_8 *, r_8 *, 
+	    r_8 *), dadb4_(int_4 *, int_4 *, r_8 *, r_8 *, r_8 *, 
+	    r_8 *, r_8 *), dadb5_(int_4 *, int_4 *, r_8 *, r_8 *, 
 	    r_8 *, r_8 *, r_8 *, r_8 *);
-    static integer i__;
-    extern /* Subroutine */ int dadbg_(integer *, integer *, integer *, 
-	    integer *, r_8 *, r_8 *, r_8 *, r_8 *, r_8 *, r_8 *);
-    static integer k1, l1, l2, na, nf, ip, iw, ix2, ix3, ix4, ido, idl1;
+    static int_4 i__;
+    extern /* Subroutine */ int dadbg_(int_4 *, int_4 *, int_4 *, 
+	    int_4 *, r_8 *, r_8 *, r_8 *, r_8 *, r_8 *, r_8 *);
+    static int_4 k1, l1, l2, na, nf, ip, iw, ix2, ix3, ix4, ido, idl1;
 
     /* Parameter adjustments */
@@ -8382,7 +8382,7 @@
 
 /*  ------ File dfftf.f ------ */
-/* Subroutine */ int dfftf_(integer *n, r_8 *r__, r_8 *wsave)
-{
-    extern /* Subroutine */ int dfftf1_(integer *, r_8 *, r_8 *, r_8 *, 
+/* Subroutine */ int dfftf_(int_4 *n, r_8 *r__, r_8 *wsave)
+{
+    extern /* Subroutine */ int dfftf1_(int_4 *, r_8 *, r_8 *, r_8 *, 
 	    int_8 *);
 
@@ -8400,20 +8400,20 @@
 
 /*  ------ File dfftf1.f ------ */
-/* Subroutine */ int dfftf1_(integer *n, r_8 *c__, r_8 *ch, r_8 *wa, 
+/* Subroutine */ int dfftf1_(int_4 *n, r_8 *c__, r_8 *ch, r_8 *wa, 
 	int_8 *ifac)
 {
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
-    extern /* Subroutine */ int dadf2_(integer *, integer *, r_8 *, r_8 *, 
-	    r_8 *), dadf3_(integer *, integer *, r_8 *, r_8 *, r_8 *, 
-	    r_8 *), dadf4_(integer *, integer *, r_8 *, r_8 *, r_8 *, 
-	    r_8 *, r_8 *), dadf5_(integer *, integer *, r_8 *, r_8 *, 
+    extern /* Subroutine */ int dadf2_(int_4 *, int_4 *, r_8 *, r_8 *, 
+	    r_8 *), dadf3_(int_4 *, int_4 *, r_8 *, r_8 *, r_8 *, 
+	    r_8 *), dadf4_(int_4 *, int_4 *, r_8 *, r_8 *, r_8 *, 
+	    r_8 *, r_8 *), dadf5_(int_4 *, int_4 *, r_8 *, r_8 *, 
 	    r_8 *, r_8 *, r_8 *, r_8 *);
-    static integer i__;
-    extern /* Subroutine */ int dadfg_(integer *, integer *, integer *, 
-	    integer *, r_8 *, r_8 *, r_8 *, r_8 *, r_8 *, r_8 *);
-    static integer k1, l1, l2, na, kh, nf, ip, iw, ix2, ix3, ix4, ido, idl1;
+    static int_4 i__;
+    extern /* Subroutine */ int dadfg_(int_4 *, int_4 *, int_4 *, 
+	    int_4 *, r_8 *, r_8 *, r_8 *, r_8 *, r_8 *, r_8 *);
+    static int_4 k1, l1, l2, na, kh, nf, ip, iw, ix2, ix3, ix4, ido, idl1;
 
     /* Parameter adjustments */
@@ -8523,7 +8523,7 @@
 
 /*  ------ File dffti.f ------ */
-/* Subroutine */ int dffti_(integer *n, r_8 *wsave)
-{
-    extern /* Subroutine */ int dffti1_(integer *, r_8 *, int_8 *);
+/* Subroutine */ int dffti_(int_4 *n, r_8 *wsave)
+{
+    extern /* Subroutine */ int dffti1_(int_4 *, r_8 *, int_8 *);
 
     /* Parameter adjustments */
@@ -8539,12 +8539,12 @@
 
 /*  ------ File dffti1.f ------ */
-/* Subroutine */ int dffti1_(integer *n, r_8 *wa, int_8 *ifac)
+/* Subroutine */ int dffti1_(int_4 *n, r_8 *wa, int_8 *ifac)
 {
     /* Initialized data */
 
-    static integer ntryh[4] = { 4,2,3,5 };
+    static int_4 ntryh[4] = { 4,2,3,5 };
 
     /* System generated locals */
-    integer i__1, i__2, i__3;
+    int_4 i__1, i__2, i__3;
 
     /* Builtin functions */
@@ -8553,13 +8553,13 @@
     /* Local variables */
     static r_8 argh;
-    static integer ntry, i__, j;
+    static int_4 ntry, i__, j;
     static r_8 argld;
-    static integer k1, l1, l2, ib;
+    static int_4 k1, l1, l2, ib;
     static r_8 fi;
-    static integer ld, ii, nf, ip, nl, is, nq, nr;
+    static int_4 ld, ii, nf, ip, nl, is, nq, nr;
     static r_8 arg;
-    static integer ido, ipm;
+    static int_4 ido, ipm;
     static r_8 tpi;
-    static integer nfm1;
+    static int_4 nfm1;
 
     /* Parameter adjustments */
@@ -8654,14 +8654,14 @@
 
 /*  ------ File dsinqb.f ------ */
-/* Subroutine */ int dsinqb_(integer *n, r_8 *x, r_8 *wsave)
+/* Subroutine */ int dsinqb_(int_4 *n, r_8 *x, r_8 *wsave)
 {
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
-    static integer k;
-    extern /* Subroutine */ int dcosqb_(integer *, r_8 *, r_8 *);
+    static int_4 k;
+    extern /* Subroutine */ int dcosqb_(int_4 *, r_8 *, r_8 *);
     static r_8 xhold;
-    static integer kc, ns2;
+    static int_4 kc, ns2;
 
     /* Parameter adjustments */
@@ -8695,14 +8695,14 @@
 
 /*  ------ File dsinqf.f ------ */
-/* Subroutine */ int dsinqf_(integer *n, r_8 *x, r_8 *wsave)
+/* Subroutine */ int dsinqf_(int_4 *n, r_8 *x, r_8 *wsave)
 {
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
-    static integer k;
-    extern /* Subroutine */ int dcosqf_(integer *, r_8 *, r_8 *);
+    static int_4 k;
+    extern /* Subroutine */ int dcosqf_(int_4 *, r_8 *, r_8 *);
     static r_8 xhold;
-    static integer kc, ns2;
+    static int_4 kc, ns2;
 
     /* Parameter adjustments */
@@ -8733,7 +8733,7 @@
 
 /*  ------ File dsinqi.f ------ */
-/* Subroutine */ int dsinqi_(integer *n, r_8 *wsave)
-{
-    extern /* Subroutine */ int dcosqi_(integer *, r_8 *);
+/* Subroutine */ int dsinqi_(int_4 *n, r_8 *wsave)
+{
+    extern /* Subroutine */ int dcosqi_(int_4 *, r_8 *);
 
     /* Parameter adjustments */
@@ -8746,9 +8746,9 @@
 
 /*  ------ File dsint.f ------ */
-/* Subroutine */ int dsint_(integer *n, r_8 *x, r_8 *wsave)
-{
-    extern /* Subroutine */ int dsint1_(integer *, r_8 *, r_8 *, r_8 *, 
+/* Subroutine */ int dsint_(int_4 *n, r_8 *x, r_8 *wsave)
+{
+    extern /* Subroutine */ int dsint1_(int_4 *, r_8 *, r_8 *, r_8 *, 
 	    r_8 *, int_8 *);
-    static integer np1, iw1, iw2, iw3;
+    static int_4 np1, iw1, iw2, iw3;
 
     /* Parameter adjustments */
@@ -8766,5 +8766,5 @@
 
 /*  ------ File dsint1.f ------ */
-/* Subroutine */ int dsint1_(integer *n, r_8 *war, r_8 *was, r_8 *xh, r_8 *
+/* Subroutine */ int dsint1_(int_4 *n, r_8 *war, r_8 *was, r_8 *xh, r_8 *
 	x, int_8 *ifac)
 {
@@ -8774,12 +8774,12 @@
 
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Local variables */
-    static integer modn, i__, k;
+    static int_4 modn, i__, k;
     static r_8 xhold, t1, t2;
-    extern /* Subroutine */ int dfftf1_(integer *, r_8 *, r_8 *, r_8 *, 
+    extern /* Subroutine */ int dfftf1_(int_4 *, r_8 *, r_8 *, r_8 *, 
 	    int_8 *);
-    static integer kc, np1, ns2;
+    static int_4 kc, np1, ns2;
 
     /* Parameter adjustments */
@@ -8852,5 +8852,5 @@
 
 /*  ------ File dsinti.f ------ */
-/* Subroutine */ int dsinti_(integer *n, r_8 *wsave)
+/* Subroutine */ int dsinti_(int_4 *n, r_8 *wsave)
 {
     /* Initialized data */
@@ -8859,5 +8859,5 @@
 
     /* System generated locals */
-    integer i__1;
+    int_4 i__1;
 
     /* Builtin functions */
@@ -8865,8 +8865,8 @@
 
     /* Local variables */
-    static integer k;
-    extern /* Subroutine */ int dffti_(integer *, r_8 *);
+    static int_4 k;
+    extern /* Subroutine */ int dffti_(int_4 *, r_8 *);
     static r_8 dt;
-    static integer np1, ns2;
+    static int_4 np1, ns2;
 
     /* Parameter adjustments */
